- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtil::InsertImpostorsVisitor Class Reference

Insert impostor nodes into scene graph. More...

Inheritance diagram for osgUtil::InsertImpostorsVisitor:

[legend]
List of all members.

## Public Member Functions
| InsertImpostorsVisitor ()
| Default to traversing all children.
void | setImpostorThresholdRatio (float ratio)
float | getImpostorThresholdRatio () const
void | setMaximumNumberOfNestedImpostors (unsigned int num)
unsigned int | getMaximumNumberOfNestedImpostors () const
void | reset ()
| Empty visitor, make it ready for next traversal.
virtual void | apply (osg::Node &node)
virtual void | apply (osg::Group &node)
virtual void | apply (osg::LOD &node)
virtual void | apply (osg::Impostor &node)
void | insertImpostors ()
## Protected Types
typedef std::vector< osg::Group * > | GroupList
typedef std::vector< osg::LOD * > | LODList
## Protected Attributes
GroupList | _groupList
LODList | _lodList
float | _impostorThresholdRatio
unsigned int | _maximumNumNestedImpostors
unsigned int | _numNestedImpostors

## Detailed Description

Insert impostor nodes into scene graph.

For example of usage see examples/osgimpostor.

## Member Typedef Documentation

typedef std::vector< osg::Group* > osgUtil::InsertImpostorsVisitor::GroupList`[protected]`

typedef std::vector< osg::LOD* > osgUtil::InsertImpostorsVisitor::LODList`[protected]`

## Constructor & Destructor Documentation

InsertImpostorsVisitor::InsertImpostorsVisitor | ( |  | ) |

| Default to traversing all children.

## Member Function Documentation

void InsertImpostorsVisitor::apply | ( | osg::Impostor & | node | ) | `[virtual]`

| Reimplemented from osg::NodeVisitor.

void InsertImpostorsVisitor::apply | ( | osg::LOD & | node | ) | `[virtual]`

| Reimplemented from osg::NodeVisitor.

void InsertImpostorsVisitor::apply | ( | osg::Group & | node | ) | `[virtual]`

| Reimplemented from osg::NodeVisitor.

void InsertImpostorsVisitor::apply | ( | osg::Node & | node | ) | `[virtual]`

| Reimplemented from osg::NodeVisitor.

float osgUtil::InsertImpostorsVisitor::getImpostorThresholdRatio | ( |  | ) | const`[inline]`

unsigned int osgUtil::InsertImpostorsVisitor::getMaximumNumberOfNestedImpostors | ( |  | ) | const`[inline]`

void InsertImpostorsVisitor::insertImpostors | ( |  | ) |

void InsertImpostorsVisitor::reset | ( |  | ) | `[virtual]`

| Empty visitor, make it ready for next traversal. Reimplemented from osg::NodeVisitor.

void osgUtil::InsertImpostorsVisitor::setImpostorThresholdRatio | ( | float | ratio | ) | `[inline]`

void osgUtil::InsertImpostorsVisitor::setMaximumNumberOfNestedImpostors | ( | unsigned int | num | ) | `[inline]`

## Member Data Documentation

GroupList osgUtil::InsertImpostorsVisitor::_groupList`[protected]`

float osgUtil::InsertImpostorsVisitor::_impostorThresholdRatio`[protected]`

LODList osgUtil::InsertImpostorsVisitor::_lodList`[protected]`

unsigned int osgUtil::InsertImpostorsVisitor::_maximumNumNestedImpostors`[protected]`

unsigned int osgUtil::InsertImpostorsVisitor::_numNestedImpostors`[protected]`

The documentation for this class was generated from the following files:

- InsertImpostorsVisitor
- InsertImpostorsVisitor.cpp